.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-flow: row;
    width: 100%;
}

.bars {
    display: none;
}

.bars i {
    margin-right: 1rem;
}

.burger {
  position: relative;
  display: block;
  cursor: pointer;
  width: 25px;
  height: 15px;
  opacity: 0;
  visibility: hidden;
  background: transparent;
}
.burger .burger-line {
  position: absolute;
  display: block;
  left: 0;
  width: 100%;
  height: 2px;
  opacity: 1;
  border-radius: 15px;
  background: #000;
}
.darkmode .burger .burger-line {
  background: #fff;
}
.burger .burger-line:nth-child(1) {
    top: 0px;
    background: #86573D;
    transition: all .3s;
    width: 50%;
}
.burger .burger-line:nth-child(2) {
    top: 8px;
    width: 90%;
    background: #3BA854;
    transition: all .3s;
}
.burger .burger-line:nth-child(3) {
    top: 16px;
    background: #86573D;
    width: 60%;
    transition: all .3s;
}

.burger:hover .burger-line {
    width: 100%;
    transition: all .3s;
}

.offcanvas-header {
    border-bottom: 1px solid #b9b9b9;
    padding: .4rem 1rem;
}

.offcanvas {
    /* border-radius: 0 60px 60px 0; */
    width: 280px;
    /* background-color: #6EC1E4;
    border: 4px solid #61CE70; */
    border-left: none;
}

.offcanvas {

}

.offcanvas-header .btn-close {
    background-color: #974E25;
    border-radius: 50%;
    width: 20px;
    height: 20px;
}

.close {
    background-color: #974E25;
    border: 1px solid #3BA854;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.close i {
    color: #FFF;
    font-size: 10px;
}

.navbar {
  /* box-shadow: 0px 6px 24px #e7e7e767; */
  transition: all .3s;
  position: absolute;
  z-index: 1024;
  width: 100%;
  background-color: transparent;
}

.active-nav {
  position: fixed;
  top: 0;
  padding: 0 !important;
  z-index: 1024;
  width: 100%;
  background-color: #FFF !important;
  transition: all .3s;
}

.active-nav .book {
  background-color: #86573D !important;
  border: 1px solid #86573D !important;
}

.active-nav .nav-brand svg path {
  fill: #000;
}

.active-nav .nav-link {
  padding: 1.5rem 0;
  color: #243A29;
  border-bottom: 2px solid transparent;
}

.active-nav .nav-link.active {
  color: #974E25;
  font-weight: bold;  
  border-bottom: 2px solid #974E25;
}

.active-nav .media-links .nav-link {
  border: none;
  color: #000000;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.nav-brand svg {
  max-width: 100px;
  max-height: 50px;
  object-fit: cover;
}

.nav-links {
    display: flex;
    align-items: center;
}

.media-links {
  display: flex;
  align-items: center;
}

.nav-right,
.nav-left {
  display: flex;
  align-items: center;
}

.media-links .nav-link {
  color: #EBEFEC;
  width: 25px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  border-radius: 35%;
  border: 1px solid #FEFEFE3D;
  font-size: 16px;
  margin: 0 .5rem;
  text-align: center;
  transition: all .3s;
}

.media-links .nav-link:hover {
  border: none;
  color: #000;
}

.nav-link {
    color: #EBEFEC;
    font-size: 16px;
    transition: all 0.3s;
    margin: 0 1rem;
    padding: 0;
    text-align: center;
    transition: all .3s;
}

.nav-link:hover {
    color: #F0EBE8;
    transition: all .3s;
}

.nav-link.active {
    color: #F0EBE8;
    transition: all 0.3s;
}

:root {
  --border-right: 3px;
  --text-stroke-color: rgba(255,255,255,0.6);
  --animation-color-html: #6e18e9;
  --animation-color-css: #6EC1E4;
  --animation-color-js: #61CE70;
  --fs-size: 3em;
}

.nav-links ul {
  /* padding-top: 2rem; */
  display: flex;
  justify-content: center;
  gap: 2rem;
}

.nav-links ul li {
  margin: 0;
  height: auto;
  background: transparent;
  padding: 0;
  border: none;
  letter-spacing: 3px;
  text-decoration: none;
  font-size: 16px;
  font-family: 'Bruno Ace SC', cursive;
  font-weight: bold;
  position: relative;
  text-transform: uppercase;
  color: #54595F;
  -webkit-text-stroke: 1px var(--text-stroke-color);
  cursor: pointer;
}

.nav-links ul li .hover-text {
  position: absolute;
  box-sizing: border-box;
  content: attr(data-text);
  width: 0%;
  inset: 0;
  overflow: hidden;
  transition: all .5s ease-in-out;
}

.nav-links ul li .hover-text {
  color: var(--animation-color-html);
  border-right: var(--border-right) solid var(--animation-color-html);
  -webkit-text-stroke: 1px var(--animation-color-html);
}

.nav-links ul li.active .hover-text {
  width: 100%;
}

.nav-links ul li.active .hover-text {
  filter: drop-shadow(0 0 25px var(--animation-color-html))
}


.nav-links ul li:hover .hover-text {
  width: 100%;
}

.nav-links ul li:hover .hover-text {
  filter: drop-shadow(0 0 25px var(--animation-color-html))
}

.nav-buttons {
    display: flex;
    align-items: center;
}

.nav-buttons .book {
  background-color: transparent;
  color: #FFF;
  border:  1px solid #FFF;
  padding: .3rem 2rem;
  font-size: 16px;
  font-weight: bold;
  border-radius: 12px;
  transition: all .3s;
}

/* Sweep To Right */
.book {
  background-color: transparent;
  color: #FFF;
  border:  1px solid #FFF;
  padding: .3rem 2rem;
  font-size: 16px;
  font-weight: bold;
  border-radius: 12px;
  display: inline-block;
  transform: perspective(1px) translateZ(0);
  position: relative;
  transition: color 0.3s;
}
.book:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  border-radius: 12px;
  background: #86573D;
  transform: scaleX(0);
  transform-origin: 0 50%;
  transition: transform 0.3s ease-out;
}
.book:hover {
  color: white;
  border:  1px solid #86573D;
}
.book:hover:before {
  transform: scaleX(1);
  border-radius: 12px;
}

/* .nav-buttons .book:hover {
  background-color: #FFF;
  color: #974E25;
  transition: all .3s;
} */

.fixed-nav {
  padding: 0.6rem 0;
  background-color: #F4F4F9;
}

.fixed-nav .media {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.fixed-nav p {
  color: #0F0218;
  font-size: 13px;
  margin: 0;
}

.fixed-nav p a {
  color: #6A0DAD;
  font-weight: bold;
}

.fixed-nav ul {
  display: flex;
  align-items: center;
}

.fixed-nav ul li i {
  color: #FFF;
  height: 28px;
  width: 28px;
  margin-right: 0.3rem;
  display: flex;
  font-size: 15px;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #6A0DAD;
  transition: all .3s;
}

.fixed-nav ul li a:hover i {
  color: #6A0DAD;
  background-color: transparent;
  transition: all .3s;
}

.fixed-nav ul li a  {
  color: #0F0218;
  font-size: 13px;
  margin-left: 1.5rem;
  display: flex;
  align-items: center;
}

.fixed-nav p a i {
  transform: rotate(-45deg);
}

.offcanvas-header {
    border: none !important;
}

.offcanvas-header img {
    max-width: 120px;
    max-height: 80px;
}

.offcanvas-body .nav-links {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
}

.offcanvas-body .nav-link {
    padding: 0;
    font-size: 24px;
    font-weight: bold;
    margin: 0rem 0;
    color: #000000;
}

.nav-footer {
    margin-top: 3rem;
    padding-top: 1rem;
    border-top: 1px solid #0F0218;
}

.nav-footer a {
    color: #0F0218;
    display: block;
    font-size: 16px;
    transition: all .3s;
}

.nav-footer a:hover {
    color: #6A0DAD;
    transition: all .3s;
}

.canvas-media ul {
    display: flex;
    align-items: center;
    margin-top: 1rem;
}

.canvas-media ul li a {
    display: unset;
    transition: all .3s;
    margin-right: 1rem;
    /* color: #6A0DAD; */
    font-size: 24px;
}

.nav-link {
    position: relative;
}
/* Pull right  */
.pullRight .nav-link:before {
    position: absolute;
    width: 2px;
    height: 100%;
    left: 0px;
    top: 0px;
    content: '';
    background: #6a0dad52;
    opacity: 0.3;
    transition: all 0.3s;
}

.pullRight .nav-link:hover:before {
    width: 100%;
}

.pullRight .nav-link.active:before {
    width: 100%;
}


/* Circle behind */
div.circleBehind .nav-link:before, div.circleBehind .nav-link:after
{
    position: absolute;
    top: 22px;
    left: 50%;
    top: 50%;
    width: 30px;
    height: 30px;
    border: 2px solid #6a0dad52;
    transform: translateX(-50%) translateY(-50%) scale(0.8);
    border-radius: 50%;
    background: transparent;
    content: "";
    opacity: 0;
    transition: all 0.3s;
    z-index: -1;
}

div.circleBehind .nav-link:after
{
    border-width: 2px;
    transition: all 0.4s;
}

div.circleBehind .nav-link:hover:before {
    opacity: 1;
    transform: translateX(-50%) translateY(-50%) scale(1);
}

div.circleBehind .nav-link:hover:after {
    opacity: 1;
    transform: translateX(-50%) translateY(-50%) scale(1.3);
}

div.circleBehind .nav-link.active:before {
    opacity: 1;
    transform: translateX(-50%) translateY(-50%) scale(1);
}

div.circleBehind .nav-link.active:after {
    opacity: 1;
    transform: translateX(-50%) translateY(-50%) scale(1.3);
}

.animated {
  animation-duration: 3s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
}

@keyframes flip {
  50% {transform: perspective(400px) translateZ(0) rotateY(360deg) scale(.8);animation-timing-function: ease-in;}
  80% {transform: perspective(400px) translateZ(0) rotateY(360deg) scale(.95);animation-timing-function: ease-in;}
  100% {transform: perspective(400px) translateZ(0) rotateY(360deg) scale(1);animation-timing-function: ease-in;}
}
.animated.flip {
  backface-visibility: visible;
  animation-name: flip;
  font-size: 30px;
  font-weight: bolder;
  width: 150px;
  text-align: center;
}

.icon-search {
  display: none;
  color: #54595F;
  font-size: 18px;
  margin-left: 1rem;
}












@media (max-width: 991px) {
    .fixed-nav ul li a {
        margin-left: 0.5rem;
    }
    .fixed-nav ul li a span {
        display: none;
    }
    .navbar .nav-links {
        display: none;
    }
    .navbar .media-links {
        display: none;
    }
    .navbar .book {
        display: none;
    }
    .icon-search {
      display: block;
    }
    .bars {
        display: block;
        margin-left: 1rem;
    }
    .burger {
        opacity: 1;
        visibility: visible;
    }
}

@media (max-width: 768px) {
    /* .fixed-nav ul li a {
        margin-left: 0.5rem;
    }
    .fixed-nav ul li a span {
        display: none;
    }
    .navbar .nav-links {
        display: none;
    }
    .bars {
        display: block;
        margin-left: 1rem;
    } */
}